'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const getProgramAddressWithFallback = (context, name, address) => {
  const publicKey = context.eddsa.createPublicKey(address);
  return context.programs?.getAddress(name, publicKey) ?? publicKey;
};

exports.getProgramAddressWithFallback = getProgramAddressWithFallback;
//# sourceMappingURL=ProgramRepositoryInterface.cjs.map
